Subject: Re: linux-next: unsigned commits in the kvm tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 30 Mar 2017 22:01:06 +1100

Hi Paolo,

On Thu, 30 Mar 2017 11:40:41 +0200 Paolo Bonzini <[email-masked]> wrote:
>
> On 30/03/2017 00:21, Stephen Rothwell wrote:
> > 
> > I noticed that several commits in the kvm tree
> > (git://git.kernel.org/pub/scm/virt/kvm/kvm.git#linux-next) today have
> > no Signed-off-by for their committer :-(  
> 
> Hmm, that must have happened because I rebased them before (testing and)
> pushing to kvm/next; kvm/next does not rebase but kvm/queue does.
> 
> Still, it's weird because I have done that many times and it's the first
> time you noticed.  Do you have scripts for that or did you just happen
> to notice?  Or maybe there is a difference in what "git rebase" vs. "git
> rebase -i" does to the committer email, or something obscure like that.

I should write a script, but at the moment I just notice sometimes.  I
have a quick look at what is new in each tree each morning and
sometimes things stick out :-)
-- 
Cheers,
Stephen Rothwell